> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Beneficiary V2

> Use this API to remove an existing beneficiary from the list of added beneficiaries.

<Accordion title="Click to view the response codes.">
  | HTTP status code | Error code                        | Message                                                                                                                 | Next action                                            |
  | :--------------- | :-------------------------------- | :---------------------------------------------------------------------------------------------------------------------- | :----------------------------------------------------- |
  | 201              | -                                 | -                                                                                                                       | -                                                      |
  | 400              | beneficiary\_id\_invalid          | beneficiary\_id : should contain only letters, numbers, hyphen, underscore, pipe, and dot. Value received: .\qewqefwqev | Enter a valid beneficiary\_id.                         |
  | 400              | beneficiary\_id\_length\_exceeded | beneficiary\_id : should not be more than 50 characters long. value received: test\_bene\_id                            | Enter a valid a beneficiary\_id                        |
  | 404              | beneficiary\_not\_found           | Beneficiary does not exist                                                                                              | Provide the beneficiary\_id of an existing beneficiary |
</Accordion>


## OpenAPI

````yaml delete /beneficiary
openapi: 3.0.0
info:
  version: '2024-01-01'
  title: Cashfree Payout APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payout APIs provide developers with a streamlined pathway to
    integrate advanced payout capabilities into their applications, platforms
    and websites.
servers:
  - url: https://sandbox.cashfree.com/payout
    description: Sandbox server
  - url: https://api.cashfree.com/payout
    description: Production server
security: []
tags:
  - name: V2 Apis
    description: >-
      Collection of APIs to transfer funds to beneficiaries and manage
      beneficiaries.
externalDocs:
  url: https://api.cashfree.com/payout
  description: This url will have the information of all the APIs.
paths:
  /beneficiary:
    delete:
      tags:
        - Beneficiary v2
      summary: Remove Beneficiary V2
      description: >-
        Use this API to remove an existing beneficiary from the list of added
        beneficiaries.
      operationId: PayoutDeleteBeneficiary
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xCfSignature'
        - in: query
          name: beneficiary_id
          description: >-
            It is the unique ID you create to identify the beneficiary. The
            maximum character limit is 50. Only alphabets and whitespaces are
            allowed.
          example: sample_test
          schema:
            type: string
            maxLength: 50
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Beneficiary'
              examples:
                delete_beneficiary_success_response_v2:
                  $ref: '#/components/examples/delete_bene_success_response_v2'
          headers:
            x-request-id:
              $ref: '#/components/headers/x-request-id'
        '400':
          description: Bad request error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV2'
              examples:
                bene_id_too_long:
                  $ref: '#/components/examples/bene_id_too_large_v2'
        '403':
          description: Forbidden error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV2'
              examples:
                APIDisabled:
                  $ref: '#/components/examples/APIsDisabledExampleV2'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV2'
              examples:
                BeneficiaryIdNotFound:
                  $ref: '#/components/examples/beneficiary_id_not_found_v2'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV2'
              examples:
                InternalServerError:
                  $ref: '#/components/examples/internal_server_error_v2'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: It is the API version to be used. The accepted format is YYYY-MM-DD.
      schema:
        type: string
        description: It is the API version to be used.
        default: '2024-01-01'
      example: '2024-01-01'
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request ID for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to Cashfree.
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xCfSignature:
      in: header
      name: x-cf-signature
      description: Signature to be sent if IP is not whitelisted.
      required: false
      schema:
        type: string
  schemas:
    Beneficiary:
      title: Create Beneficiary success response
      description: Contains the information of the created beneficiary
      type: object
      properties:
        beneficiary_id:
          example: JOHN18011343
          type: string
          description: It displays the unique Id you created to identify the beneficiary.
        beneficiary_name:
          example: John Doe
          type: string
          description: It displays the name of the beneficiary.
        beneficiary_instrument_details:
          type: object
          description: It displays the payment instrument details of the beneficiary.
          properties:
            bank_account_number:
              example: '00111122233'
              type: string
              description: It displays the bank account of the beneficiary.
            bank_ifsc:
              example: HDFC0000001
              type: string
              description: >-
                It displays the IFSC information of the beneficiary's bank
                account.
            vpa:
              example: test@upi
              type: string
              description: It displays the UPI VPA information of the beneficiary.
        beneficiary_contact_details:
          type: object
          description: It displays the contact details of the beneficiary.
          properties:
            beneficiary_email:
              example: johndoe1@cashfree.com
              type: string
              description: It displays the email address of the beneficiary.
            beneficiary_phone:
              example: '9876543210'
              type: string
              description: >-
                It displays the phone number of the beneficiary without the
                country code.
            beneficiary_country_code:
              example: '+91'
              type: string
              description: It displays the country code of the beneficiary's phone number.
            beneficiary_address:
              example: 177A Bleecker Street
              type: string
              description: It displays the address of the beneficiary.
            beneficiary_city:
              example: New York City
              type: string
              description: >-
                It displays the name of the city as present in the beneficiary's
                address.
            beneficiary_state:
              example: New York
              type: string
              description: >-
                It displays the name of the state as present in the
                beneficiary's address.
            beneficiary_postal_code:
              example: '560001'
              type: string
              description: >-
                It displays the PIN code as present in the beneficiary's
                address.
        beneficiary_status:
          example: VERIFIED
          type: string
          enum:
            - VERIFIED
            - INVALID
            - INITIATED
            - CANCELLED
            - FAILED
            - DELETED
          description: >-
            It displays the current status of the beneficiary. Possible values
            are as follows

            - `VERIFIED`: Beneficiary is verified and is available for payouts

            - `INVALID`: Beneficiary is invalid

            - `INITIATED`: Beneficiary verification initiated

            - `CANCELLED`: Beneficiary verification cancelled

            - `FAILED`: Failed to verify beneficiary

            - `DELETED`: Beneficiary is deleted
        added_on:
          example: '2023-11-22T12:38:22Z'
          type: string
          description: It displays the time of the addition of the beneficiary in UTC.
    ErrorV2:
      title: Error
      description: Error Response for non-2XX cases
      type: object
      properties:
        type:
          type: string
          description: Type of the error received
        code:
          type: string
          description: Code of the error received
        message:
          type: string
          description: Detailed message explaining the response
  examples:
    delete_bene_success_response_v2:
      description: Example values for Remove Beneficiary V2 success response
      value:
        beneficiary_id: JOHN18011343
        beneficiary_name: John Doe
        beneficiary_instrument_details:
          bank_account_number: '1223334444'
          bank_ifsc: HDFC0000001
          vpa: test@upi
        beneficiary_contact_details:
          beneficiary_email: sample@cashfree.com
          beneficiary_phone: '9876543210'
          beneficiary_country_code: '+91'
          beneficiary_address: 177A Bleecker Street
          beneficiary_city: New York City
          beneficiary_state: New York
          beneficiary_postal_code: '560011'
        beneficiary_status: DELETED
        added_on: '2023-12-04T15:50:00Z'
    bene_id_too_large_v2:
      description: Length of beneficiary_id is more than maximum allowed
      summary: Length of beneficiary_id exceeded the maximum limit
      value:
        type: invalid_request_error
        code: beneficiary_id_length_exceeded
        message: >-
          beneficiary_id : should not be more than 50 characters long. value
          received: kl12b3rkh1bv234lkbr3jl24tbrlk234bkt234t134kbr1hk34jr
    APIsDisabledExampleV2:
      summary: APIs disabled
      description: Forbidden request. APIs are disabled
      value:
        type: invalid_request_error
        code: apis_not_enabled
        message: >-
          APIs not enabled. Please fill out the [Support
          Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    beneficiary_id_not_found_v2:
      summary: Beneficiary with given beneficiary_id not found
      description: Beneficiary with the given beneficiary_id does not exist
      value:
        type: invalid_request_error
        code: beneficiary_not_found
        message: Beneficiary does not exist
    internal_server_error_v2:
      summary: Internal server error
      description: Error at Cashfree Payments' server
      value:
        type: api_error
        code: internal_server_error
        message: Error at cashfree's server
  headers:
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        It displays the request ID for the API request. Is blank or null if no
        `x-request-id` is sent during the request
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app ID in the [Merchant
        Dashboard](https://merchant.cashfree.com/payouts/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard]((https://merchant.cashfree.com/payouts/developers/api-keys).

````